Subject: Re: [bug#36404] [PATCH 4/4] doc: Add section for 'guix deploy'.

From: Kyle Meyer <[email-masked]>
Date: Tue, 02 Jul 2019 00:16:38 -0400

Hi Jakob,

Thanks for working on this and for all the effort you've put into
sharing your progress with the list.  It's been interesting to watch
from the sidelines.  I don't know enough to say anything useful about
the code changes, but here are a few minor comments about the guix.texi
changes.

[email-masked] (Jakob L. Kreuze) writes:

[...]
> +The file should evaluate to a list of @var{machine} objects. This example,
> +upon being deployed, will create a new generation on the remote system
> +realizing the operating-system configuration @var{%system}. @var{environment}
> +and @var{configuration} specify how the machine should be provisioned--that

nitpick: Following the style used elsewhere in guix.texi, I think this
"--" and the closing one below should be "---" with no surrounding
spaces.

> +is, deployment and management of computing resources. The above example does
> +not provision any resources -- a @code{'managed-host} is a machine that is
> +already up and running the Guix system. A more complex deployment may involve
> +i.e. starting virtual machines through a VPS provider, however, in which case
> +a different @var{environment} types would be used.

This last sentence doesn't quite parse for me.  Perhaps

  A more complex deployment may involve, for example, starting virtual
  machines through a VPS provider.  In such as case, a different
  @var{environment} type would be used.

?

[...]
> +@item @code{environment}
> +A symbol describing how the machine should be provisioned. At the moment, only
> +the only supported value is @code{'managed-host}.

Repeated "only".

Also, as a meta nit: It'd be helpful if you'd mark updated patch series
with the iteration count (e.g., v3).  You can do this with
git-format-patch's --reroll-count option.

-- 
Kyle